GET V1/PaymentsMaster.{ext}/VerifyPennyTestFiles?PfName={PfName}&vendorName={vendorName}&bankName={bankName}&pageIndex={pageIndex}&pageSize={pageSize}
To get penny test files which are to be verified and which are in paid status.
Mandatory Fileds: N/A
Optional Fileds : PfName,vendorName,bankName
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| PfName |
This is Payment File Name |
string |
Default value is |
| vendorName |
This is Vendor Name. |
string |
Default value is |
| bankName |
This is Bank Name |
string |
Default value is |
| pageIndex |
Indicates how many records to skip . |
integer |
Default value is 0 |
| pageSize |
Indicates number of records to be returned. |
integer |
Default value is 0 |
| ext |
Which media types are acceptable for the response, such as json/xml If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter. |
string |
Content-Type: application/json OR application/xml |
Body Parameters
None.
Response Information
Resource Description
List of Penny Test Files Details.
EMSResponseOfEMS.Payments.Entities.PaymentFileMasterList| Name | Description | Type | Additional information |
|---|---|---|---|
| ResponseType |
No description available |
string |
None. |
| Response |
No description available |
EMS.Payments.Entities.PaymentFileMasterList |
None. |
| Error |
No description available |
EMS.Common.Error |
None. |
Response Formats
application/json, text/json
{
"responseType": "PaymentFileMasterList",
"response": {
"paymentFilesList": [
{
"pfId": "sample string 1",
"pfName": "sample string 2",
"pfDetailsId": "sample string 3",
"pfTransactionId": "sample string 4",
"productName": "sample string 5",
"vendorName": "sample string 6",
"paymentMethod": "sample string 7",
"accountType": "sample string 8",
"remitCode": "sample string 9",
"settlementDate": "sample string 10",
"bankName": "sample string 11",
"billAmount": "sample string 12",
"currentCharges": "sample string 13",
"payBy": "sample string 14",
"payByAmount": "sample string 15",
"status": "sample string 16"
},
{
"pfId": "sample string 1",
"pfName": "sample string 2",
"pfDetailsId": "sample string 3",
"pfTransactionId": "sample string 4",
"productName": "sample string 5",
"vendorName": "sample string 6",
"paymentMethod": "sample string 7",
"accountType": "sample string 8",
"remitCode": "sample string 9",
"settlementDate": "sample string 10",
"bankName": "sample string 11",
"billAmount": "sample string 12",
"currentCharges": "sample string 13",
"payBy": "sample string 14",
"payByAmount": "sample string 15",
"status": "sample string 16"
}
]
},
"error": {
"errorCode": "sample string 1",
"errorDescription": "sample string 2"
}
}
application/bson
Binary JSON content. See http://bsonspec.org for details.